For the complete documentation index, see llms.txt. This page is also available as Markdown.

Traffic Sources Devices

List Devices

get

Returns an array of devices.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of Devices Requested, or an array containing the new/updated Device after a Create or Update operation.

application/json
get/api/v1/devices
GET /api/v1/devices HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 771387127,
      "name": "router1.example.com",
      "ips": [
        "1.1.1.1",
        "22.33.44.55"
      ],
      "samplerate": 10,
      "payload": false,
      "tags": [
        "edge"
      ],
      "site": "us-east-1"
    }
  ]
}

Create Device

post

Creates a device from the data that's been supplied. Do not provide an id. IDs are auto generated

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

The name of the device. Eg. router1.site.company.com

Example: router1.example.com
ipsstring · cidr[]Required

An array of IPs that this device sends flows from.

Example: ["1.1.1.1","22.33.44.55"]
samplerateinteger · int32 · min: 1 · max: 65535Required

The samplerate of flows this device will send.

Example: 10
payloadbooleanOptional

Whether to store payload sample or not. SFLOW only. Default to false if not set.

Example: false
tagsstring[]Optional

An array of strings to tag every flow from this device with.

Example: ["edge"]
sitestringOptional

The site identifier for this device.

Example: us-east-1
Responses
201

List of Devices Requested, or an array containing the new/updated Device after a Create or Update operation.

application/json
post/api/v1/device
POST /api/v1/device HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "name": "router1.example.com",
  "ips": [
    "1.1.1.1",
    "22.33.44.55"
  ],
  "samplerate": 10,
  "payload": false,
  "tags": [
    "edge"
  ],
  "site": "us-east-1"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 771387127,
      "name": "router1.example.com",
      "ips": [
        "1.1.1.1",
        "22.33.44.55"
      ],
      "samplerate": 10,
      "payload": false,
      "tags": [
        "edge"
      ],
      "site": "us-east-1"
    }
  ]
}

Fetch Device

get

Fetches a specific device from the ID supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the device to be returned.

Responses
200

List of Devices Requested, or an array containing the new/updated Device after a Create or Update operation.

application/json
get/api/v1/device/{id}
GET /api/v1/device/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 771387127,
      "name": "router1.example.com",
      "ips": [
        "1.1.1.1",
        "22.33.44.55"
      ],
      "samplerate": 10,
      "payload": false,
      "tags": [
        "edge"
      ],
      "site": "us-east-1"
    }
  ]
}

Update Device

put

Update a device given the provided object. This does not do a diff. You must send the complete object.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the device to be updated

Body
namestringRequired

The name of the device. Eg. router1.site.company.com

Example: router1.example.com
ipsstring · cidr[]Required

An array of IPs that this device sends flows from.

Example: ["1.1.1.1","22.33.44.55"]
samplerateinteger · int32 · min: 1 · max: 65535Required

The samplerate of flows this device will send.

Example: 10
payloadbooleanOptional

Whether to store payload sample or not. SFLOW only. Default to false if not set.

Example: false
tagsstring[]Optional

An array of strings to tag every flow from this device with.

Example: ["edge"]
sitestringOptional

The site identifier for this device.

Example: us-east-1
Responses
200

List of Devices Requested, or an array containing the new/updated Device after a Create or Update operation.

application/json
put/api/v1/device/{id}
PUT /api/v1/device/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 129

{
  "name": "router1.example.com",
  "ips": [
    "1.1.1.1",
    "22.33.44.55"
  ],
  "samplerate": 10,
  "payload": false,
  "tags": [
    "edge"
  ],
  "site": "us-east-1"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 771387127,
      "name": "router1.example.com",
      "ips": [
        "1.1.1.1",
        "22.33.44.55"
      ],
      "samplerate": 10,
      "payload": false,
      "tags": [
        "edge"
      ],
      "site": "us-east-1"
    }
  ]
}

Delete Device

delete

Deletes a device

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the device to be deleted

Responses
204

An empty array

No content

delete/api/v1/device/{id}
DELETE /api/v1/device/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

List Device Statuses

get

Returns an array of device status objects.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of Device States.

application/json
get/api/v1/devices/status
GET /api/v1/devices/status HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 114300552,
      "name": "router1.site.company.com",
      "flow": {
        "lastseen": 1558367737,
        "active": true
      },
      "bgp": {
        "active": false
      }
    }
  ]
}

Fetch Device Status

get

Fetches a specific device from the ID supplied in the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The ID of the device to be returned.

Responses
200

List of Device States.

application/json
get/api/v1/device/status/{id}
GET /api/v1/device/status/{id} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": 114300552,
      "name": "router1.site.company.com",
      "flow": {
        "lastseen": 1558367737,
        "active": true
      },
      "bgp": {
        "active": false
      }
    }
  ]
}

List BGP Neighbors

get

Returns an array of BGP Neighbors.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of BGP Neighbors

application/json
get/api/v1/bgp/neighbors
GET /api/v1/bgp/neighbors HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

List BGP Neighbors for a Device

get

Returns an array of BGP Neighbors for a Device.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
deviceidstringRequired

The ID of the device to retrieve BGP Neighbors for.

Responses
200

List of BGP Neighbors

application/json
get/api/v1/bgp/neighbors/devices/{deviceid}
GET /api/v1/bgp/neighbors/devices/{deviceid} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Create BGP Neighbor

post

Create a new BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

BGP Neighbor Create or Update Config

addresslocalstringOptional
addressremotestringRequired
admindownbooleanOptional
advancedbooleanOptional
asnstringRequired
authpasswordstringOptional
descriptionstringRequired
deviceidstringOptional
gracefulrestartbooleanOptional
holdtimeintegerOptional
ipv4-flowspecbooleanOptional
ipv4-unicastbooleanOptional
ipv6-flowspecbooleanOptional
ipv6-unicastbooleanOptional
keepaliveintegerOptional
restarttimeintegerOptional
statestringOptional
uptimestringOptional
Responses
201

List of BGP Neighbors

application/json
post/api/v1/bgp/neighbor
POST /api/v1/bgp/neighbor HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019

{
  "addresslocal": "text",
  "addressremote": "text",
  "admindown": true,
  "advanced": true,
  "asn": "text",
  "authpassword": "text",
  "description": "text",
  "deviceid": "text",
  "gracefulrestart": true,
  "holdtime": 1,
  "ipv4-flowspec": true,
  "ipv4-unicast": true,
  "ipv6-flowspec": true,
  "ipv6-unicast": true,
  "keepalive": 1,
  "negotiated": {
    "capabilities": [],
    "holdtime": 1,
    "keepalive": 1
  },
  "restarttime": 1,
  "routes": {
    "ipv4-flow": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv4-unicast": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv6-flow": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv6-unicast": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "total": {
      "accepted": 1,
      "advertised": 1,
      "prefixrate": 1,
      "prefixsessioncount": 1,
      "prefixtotalcount": 1,
      "received": 1
    }
  },
  "state": "text",
  "stats": {
    "recv": {
      "discarded": 1,
      "keepalives": 1,
      "notifications": 1,
      "opens": 1,
      "routerefreshes": 1,
      "updates": 1,
      "withdrawprefix": 1,
      "withdrawupdate": 1
    },
    "sent": {
      "discarded": 1,
      "keepalives": 1,
      "notifications": 1,
      "opens": 1,
      "routerefreshes": 1,
      "updates": 1,
      "withdrawprefix": 1,
      "withdrawupdate": 1
    }
  },
  "uptime": "text"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Get BGP Neighbor

get

Returns the details of a specific BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
neighboridstringRequired

The ID of the BGP Neighbor to retrieve.

Responses
200

List of BGP Neighbors

application/json
get/api/v1/bgp/neighbor/{neighborid}
GET /api/v1/bgp/neighbor/{neighborid} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Update BGP Neighbor

put

Updates the details of a specific BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
neighboridstringRequired

The ID of the BGP Neighbor to update.

Body

BGP Neighbor Create or Update Config

addresslocalstringOptional
addressremotestringRequired
admindownbooleanOptional
advancedbooleanOptional
asnstringRequired
authpasswordstringOptional
descriptionstringRequired
deviceidstringOptional
gracefulrestartbooleanOptional
holdtimeintegerOptional
ipv4-flowspecbooleanOptional
ipv4-unicastbooleanOptional
ipv6-flowspecbooleanOptional
ipv6-unicastbooleanOptional
keepaliveintegerOptional
restarttimeintegerOptional
statestringOptional
uptimestringOptional
Responses
200

List of BGP Neighbors

application/json
put/api/v1/bgp/neighbor/{neighborid}
PUT /api/v1/bgp/neighbor/{neighborid} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1019

{
  "addresslocal": "text",
  "addressremote": "text",
  "admindown": true,
  "advanced": true,
  "asn": "text",
  "authpassword": "text",
  "description": "text",
  "deviceid": "text",
  "gracefulrestart": true,
  "holdtime": 1,
  "ipv4-flowspec": true,
  "ipv4-unicast": true,
  "ipv6-flowspec": true,
  "ipv6-unicast": true,
  "keepalive": 1,
  "negotiated": {
    "capabilities": [],
    "holdtime": 1,
    "keepalive": 1
  },
  "restarttime": 1,
  "routes": {
    "ipv4-flow": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv4-unicast": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv6-flow": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "ipv6-unicast": {
      "accepted": 1,
      "advertised": 1,
      "received": 1
    },
    "total": {
      "accepted": 1,
      "advertised": 1,
      "prefixrate": 1,
      "prefixsessioncount": 1,
      "prefixtotalcount": 1,
      "received": 1
    }
  },
  "state": "text",
  "stats": {
    "recv": {
      "discarded": 1,
      "keepalives": 1,
      "notifications": 1,
      "opens": 1,
      "routerefreshes": 1,
      "updates": 1,
      "withdrawprefix": 1,
      "withdrawupdate": 1
    },
    "sent": {
      "discarded": 1,
      "keepalives": 1,
      "notifications": 1,
      "opens": 1,
      "routerefreshes": 1,
      "updates": 1,
      "withdrawprefix": 1,
      "withdrawupdate": 1
    }
  },
  "uptime": "text"
}
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Delete BGP Neighbor

delete

Deletes a specific BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
neighboridstringRequired

The ID of the BGP Neighbor to delete.

Responses
204

Empty Response

No content

delete/api/v1/bgp/neighbor/{neighborid}
DELETE /api/v1/bgp/neighbor/{neighborid} HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Enable BGP Neighbor

put

Enable a specific BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
neighboridstringRequired

The ID of the BGP Neighbor to enable.

Responses
200

List of BGP Neighbors

application/json
put/api/v1/bgp/neighbor/{neighborid}/enable
PUT /api/v1/bgp/neighbor/{neighborid}/enable HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Disable BGP Neighbor

put

Disable a specific BGP Neighbor.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
neighboridstringRequired

The ID of the BGP Neighbor to disable.

Responses
200

List of BGP Neighbors

application/json
put/api/v1/bgp/neighbor/{neighborid}/disable
PUT /api/v1/bgp/neighbor/{neighborid}/disable HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "meta": {
    "code": 200,
    "count": 1
  },
  "data": [
    {
      "id": "text",
      "addresslocal": "text",
      "addressremote": "text",
      "admindown": true,
      "advanced": true,
      "asn": "text",
      "authpassword": "text",
      "description": "text",
      "deviceid": "text",
      "gracefulrestart": true,
      "holdtime": 1,
      "ipv4-flowspec": true,
      "ipv4-unicast": true,
      "ipv6-flowspec": true,
      "ipv6-unicast": true,
      "keepalive": 1,
      "negotiated": {
        "capabilities": [],
        "holdtime": 1,
        "keepalive": 1
      },
      "restarttime": 1,
      "routes": {
        "ipv4-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv4-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-flow": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "ipv6-unicast": {
          "accepted": 1,
          "advertised": 1,
          "received": 1
        },
        "total": {
          "accepted": 1,
          "advertised": 1,
          "prefixrate": 1,
          "prefixsessioncount": 1,
          "prefixtotalcount": 1,
          "received": 1
        }
      },
      "state": "text",
      "stats": {
        "recv": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        },
        "sent": {
          "discarded": 1,
          "keepalives": 1,
          "notifications": 1,
          "opens": 1,
          "routerefreshes": 1,
          "updates": 1,
          "withdrawprefix": 1,
          "withdrawupdate": 1
        }
      },
      "uptime": "text"
    }
  ]
}

Last updated